package _VisualDVM.GlobalData.CompilerOption.Json;
import Common.Utils.Utils_;
import com.google.gson.annotations.Expose;

import java.util.List;
import java.util.Vector;
public class OptionsJson {
    @Expose
    public List<OptionJson> values = new Vector<>();
    public String toLine() {
        Vector<String> res = new Vector<>();
        for (OptionJson optionJson : values) {
            res.add(optionJson.name +
                    (optionJson.value.contains(" ") ? Utils_.DQuotes(optionJson.value) : optionJson.value));
        }
        return String.join(" ", res);
    }
}
